From 8006d64d745ebaea86d522d2158dbeacde04ec70 Mon Sep 17 00:00:00 2001
From: Mark Olesen <Mark.Olesen@esi-group.com>
Date: Fri, 5 May 2017 10:02:34 +0200
Subject: [PATCH] COMP: skip compilation of plugins if include files are
 missing (fixes #464)

---
 wmake/scripts/cmakeFunctions | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/wmake/scripts/cmakeFunctions b/wmake/scripts/cmakeFunctions
index ca72558c9ec..f3fb0abb396 100644
--- a/wmake/scripts/cmakeFunctions
+++ b/wmake/scripts/cmakeFunctions
@@ -158,6 +158,14 @@ canBuildPlugin()
         return 1
     }
 
+    [ -d "$ParaView_INCLUDE_DIR" ] && \
+    [ -f "$ParaView_INCLUDE_DIR/pqServerManagerModel.h" ] || {
+        echo "==> cannot build ParaView plugins without an include directory"
+        echo "    ... or without GUI support"
+        echo "    ParaView_INCLUDE_DIR=$ParaView_INCLUDE_DIR"
+        return 1
+    }
+
     command -v cmake > /dev/null 2>&1 || {
         echo "==> cannot build ParaView plugins without cmake"
         return 1
-- 
GitLab